declare module '@formkit/inputs' {
  interface FormKitInputProps<Props extends FormKitInputs<Props>> {
    // This key and the `type` should match:
    primeAutoComplete: {
      // Define your input `type`:
      type: 'primeAutoComplete'
      // Define an optional prop. Use camelCase for all prop names:
      myOptionalProp?: string | number
      // Define a required prop
      superImportantProp: number
      // Define the value type, this should always be a optional!
      value?: string | number
      // Use the Prop generic to infer information from another field, notice
      // we a utility "PropType" to infer the type of the `value` from the Props
      // generic:
      someOtherProp?: PropType<Props, 'value'>
    }
  }
}
